LibreOffice LibreOffice 5.3 SDK C/C++ API Reference

Classes | Namespaces | Typedefs
interfacecontainer.h File Reference
`#include <sal/config.h>`
`#include <cstddef>`
`#include <functional>`
`#include <vector>`
`#include <utility>`
`#include <osl/diagnose.h>`
`#include <osl/mutex.hxx>`
`#include <rtl/alloc.h>`
`#include <com/sun/star/uno/Sequence.hxx>`
`#include <com/sun/star/uno/XInterface.hpp>`
`#include <com/sun/star/lang/EventObject.hpp>`
`#include <com/sun/star/lang/DisposedException.hpp>`
`#include <cppuhelper/cppuhelperdllapi.h>`

Go to the source code of this file.

## Classes
union | cppu::detail::element_alias
| This is here to optimise space in the common case that there are zero or one listeners. More...
class | cppu::OInterfaceIteratorHelper
| This is the iterator of a InterfaceContainerHelper. More...
class | cppu::OInterfaceContainerHelper
| A container of interfaces. More...
class | cppu::OMultiTypeInterfaceContainerHelperVar< key, hashImpl, equalImpl >
| A helper class to store interface references of different types. More...
struct | cppu::OBroadcastHelperVar< container, keyType >
| This struct contains the standard variables of a broadcaster. More...
struct | cppu::hashType_Impl
class | cppu::OMultiTypeInterfaceContainerHelper
| Specialized class for key type css::uno::Type, without explicit usage of STL symbols. More...

## Namespaces
| cppu
| cppu::detail

## Typedefs
typedef OBroadcastHelperVar< OMultiTypeInterfaceContainerHelper, OMultiTypeInterfaceContainerHelper::keyType > | cppu::OBroadcastHelper